PDA

View Full Version : PDE2D on Red Hat Linux



sewell
07-03-2007, 06:52 PM
A new customer installed the Linux version (tested on SUSE Linux) of PDE2D on a PC with Red Hat Linux, successfully, with two minor problems.

1. The libraries libX11.so and libXt.so which PDE2D expects to find in /usr/X11R6/lib were not there; however, versions called libX11.so.6.2 and libXt.so.6.2 were there, and he simply copied or linked these to libX11.so, libXt.so. Most likely these links were there at one time and disappeared for some reason, but I'm not sure.

2. When he ran a first test program, he got a "segmentation fault" error. This occurs often with all Linux versions, because PDE2D uses a lot of stack. As suggested at the end of the README file, he simply increased the stacksize limit and that solved the problem. Normally you should add this to your .login or .cshrc file.

Spiglooneerog
12-20-2009, 04:27 AM
I am running a generic baseline for Linux servers; however these binaries are not working on this version of RH: Red Hat Enterprise Linux ES
> > release 3 Taroon Update 4

Does anyone have a baseline set of checks you are using on Red Hat Enterprise Linux ES
> > release 3 Taroon Update 4
?

If so, what are they, where/how did you find them?

Kimberly

sewell
12-20-2009, 07:01 AM
I gather this question doesn't have anything to do with PDE2D, so maybe someone else at VNI can help her; I don't really understand what she's asking for...anyone?

ed
12-21-2009, 05:25 AM
I'm not sure what the question is either. Red Hat EL 3 is fairly old now. We have down versions of IMSL that support this version, but nothing current. I don't recall any platform-specific issues with this environment, though.